---
updatedAt: 2026-05-27T12:48:32.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Get List of Assessments

Use this API to retrieve a list of all assessments with basic assessment details. The response will include details such as the assessment ID, number, stage, result, and associated organization.

 > 🗒 Things to Know  
 >
 > - All assessments regardless of their stage are returned in the response by default.
 >
 > - The assessments can be filtered by stage using the `assessmentStatuses` query parameter. 
 >
 > - The `size` and `page` query parameters can be used to paginate the response (list of assessments). The `size` parameter defines the number of assessments to be returned in each page. The `page` parameter defines the page number. The first page and default `page` is page number 0. The `size` parameter is optional and default value is 20, but cannot exceed 2000. If you input a value greater than 2000, then 2000 will be used for the `size`.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Privacy Automation - Assessment Automation",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "description": "The Assessment Automation APIs provide functionality for managing assessment template lifecycle operations, including template export and import for cross-environment migration, retrieving published template metadata with filtering by template type, and template deletion with comprehensive validation checks."
  },
  "servers": [
    {
      "url": "https://{hostname}",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Assessments",
      "description": "The Assessments APIs are used to retrieve assessment data and details.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/privacy-automation-assessment-automation.json"
      },
      "x-displayName": "Assessments"
    }
  ],
  "paths": {
    "/api/assessment/v2/assessments": {
      "get": {
        "operationId": "getAllAssessmentBasicDetailsUsingGET",
        "summary": "Get List of Assessments",
        "description": "Use this API to retrieve a list of all assessments with basic assessment details. The response will include details such as the assessment ID, number, stage, result, and associated organization.\n\n > 🗒 Things to Know  \n >\n > - All assessments regardless of their stage are returned in the response by default.\n >\n > - The assessments can be filtered by stage using the `assessmentStatuses` query parameter. \n >\n > - The `size` and `page` query parameters can be used to paginate the response (list of assessments). The `size` parameter defines the number of assessments to be returned in each page. The `page` parameter defines the page number. The first page and default `page` is page number 0. The `size` parameter is optional and default value is 20, but cannot exceed 2000. If you input a value greater than 2000, then 2000 will be used for the `size`.\n",
        "tags": [
          "Assessments"
        ],
        "x-onetrust": {
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/privacy-automation-assessment-automation.json"
        },
        "parameters": [
          {
            "name": "templateTypes",
            "in": "query",
            "description": "List of template types to filter assessments by. Available options:\n\n- **PIA** (PIA & DPIA Automation)\n- **VENDOR** (Third-Party Risk Management)\n- **ITRM** (IT & Security Risk Management)\n- **CONTROL** (Risk and Controls)\n- **INCIDENT** (Incident Management)\n- **EXCHANGE** (Third-Party Risk Exchange)\n- **ESG** (ESG Program Reporting)\n- **DISCLOSURE** (Disclosure Management)\n- **DISCLOSURE_YOY** (Year Over Year Disclosures)\n- **ERM** (Enterprise Risk Management)\n- **TPDD** (Third-Party Due Diligence)\n- **AIGOVERNANCE** (AI Governance)",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "description": "Template types used in assessments",
                "enum": [
                  "PIA",
                  "VENDOR",
                  "ITRM",
                  "CONTROL",
                  "INCIDENT",
                  "EXCHANGE",
                  "ESG",
                  "DISCLOSURE",
                  "DISCLOSURE_YOY",
                  "ERM",
                  "TPDD",
                  "AIGOVERNANCE"
                ]
              }
            },
            "example": [
              "PIA",
              "VENDOR",
              "ITRM"
            ]
          },
          {
            "name": "assessmentStatuses",
            "in": "query",
            "description": "List of assessment statuses to filter by",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "NOT_STARTED",
                  "IN_PROGRESS",
                  "UNDER_REVIEW",
                  "COMPLETED"
                ]
              }
            },
            "example": [
              "NOT_STARTED",
              "IN_PROGRESS",
              "UNDER_REVIEW",
              "COMPLETED"
            ]
          },
          {
            "name": "assessmentArchivalState",
            "in": "query",
            "description": "Filter by archival state",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "ALL",
                "ARCHIVED",
                "NON_ARCHIVED"
              ]
            },
            "example": "NON_ARCHIVED"
          },
          {
            "name": "page",
            "in": "query",
            "description": "Results page to be retrieved (0..N). Example- '?page=1",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0,
              "minimum": 0
            },
            "example": 1
          },
          {
            "name": "size",
            "in": "query",
            "description": "Number of records per page (1…N).",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 20,
              "maximum": 2000,
              "minimum": 1
            },
            "example": 20
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.",
            "schema": {
              "type": "string",
              "default": "createdDate,desc",
              "enum": [
                "number,asc",
                "number,desc",
                "status,asc",
                "status,desc",
                "createdDate,asc",
                "createdDate,desc",
                "name,asc",
                "name,desc",
                "result,asc",
                "result,desc",
                "orgGroupName,asc",
                "orgGroupName,desc",
                "deadline,asc",
                "deadline,desc",
                "openRiskCount,asc",
                "openRiskCount,desc",
                "openInfoRequestCount,asc",
                "openInfoRequestCount,desc"
              ]
            },
            "example": "createdDate,desc"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PrivacyAutomation-AssessmentAutomation_PageAssessmentListViewBasicDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "429": {
            "description": "Too Many Requests. \nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "schema": {
                  "description": "The number of seconds after which requests will be allowed again.",
                  "format": "int32"
                }
              },
              "ot-period": {
                "schema": {
                  "description": "The unit of time for which the rate limit applies",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-ratelimit-event-id": {
                "schema": {
                  "description": "The unique identifier for the rate-limiting event.",
                  "format": "uuid"
                }
              },
              "ot-request-made": {
                "schema": {
                  "description": "The number of requests made within the specified period.",
                  "format": "int32"
                }
              },
              "ot-requests-allowed": {
                "schema": {
                  "description": "The number of requests allowed within the specified period.",
                  "format": "int32"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "security": [
          {
            "PrivacyAutomation-AssessmentAutomation_OAUTH2": [
              "ASSESSMENT_READ",
              "ASSESSMENT"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "PrivacyAutomation-AssessmentAutomation_AssessmentPage": {
        "type": "object",
        "properties": {
          "number": {
            "description": "Current page number (zero-based)",
            "type": "integer",
            "format": "int64",
            "example": 0
          },
          "size": {
            "description": "Number of items per page",
            "type": "integer",
            "format": "int64",
            "example": 20
          },
          "totalElements": {
            "description": "Total number of elements across all pages",
            "type": "integer",
            "format": "int64",
            "example": 100
          },
          "totalPages": {
            "description": "Total number of pages available",
            "type": "integer",
            "format": "int64",
            "example": 5
          }
        }
      },
      "PrivacyAutomation-AssessmentAutomation_AssessmentListViewBasicDto": {
        "type": "object",
        "properties": {
          "assessmentId": {
            "description": "Unique identifier for the assessment",
            "type": "string",
            "format": "uuid",
            "example": "123e4567-e89b-12d3-a456-426614174000"
          },
          "number": {
            "description": "Sequential number assigned to the assessment",
            "type": "integer",
            "format": "int32",
            "example": 12345
          },
          "name": {
            "description": "Name of the assessment",
            "type": "string",
            "example": "Annual Security Review"
          },
          "status": {
            "description": "Current status of the assessment",
            "type": "string",
            "example": "In Progress",
            "enum": [
              "Not Started",
              "In Progress",
              "Under Review",
              "Completed"
            ]
          },
          "state": {
            "description": "Current state of the assessment",
            "type": "string",
            "example": "Active"
          },
          "result": {
            "type": "string",
            "deprecated": true
          },
          "resultId": {
            "description": "Unique identifier for the assessment result",
            "type": "string",
            "format": "uuid",
            "example": "123e4567-e89b-12d3-a456-426614174001"
          },
          "resultName": {
            "description": "Name of the assessment result",
            "type": "string",
            "example": "Approved with Conditions"
          },
          "orgGroupName": {
            "description": "Name of the organization group to which the assessment belongs",
            "type": "string",
            "example": "Finance Department"
          },
          "createDt": {
            "description": "Date when the assessment was created",
            "type": "string",
            "format": "date-time",
            "example": "2025-07-01T10:30:00Z"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "templateName": {
            "description": "Name of the template used for the assessment",
            "type": "string",
            "example": "Security Assessment Template v2"
          },
          "templateId": {
            "description": "Unique identifier for the template",
            "type": "string",
            "format": "uuid",
            "example": "123e4567-e89b-12d3-a456-426614174002"
          },
          "templateRootVersionId": {
            "description": "Root version identifier for the template",
            "type": "string",
            "format": "uuid",
            "example": "123e4567-e89b-12d3-a456-426614174003"
          },
          "primaryInventoryDetails": {
            "description": "Details about the primary inventory associated with the assessment",
            "$ref": "#/components/schemas/PrivacyAutomation-AssessmentAutomation_primaryInventoryDetails"
          },
          "residualRiskScore": {
            "description": "Risk score after controls have been applied",
            "type": "number",
            "format": "decimal",
            "example": 3.5
          },
          "openRiskCount": {
            "description": "Number of open risks associated with the assessment",
            "type": "integer",
            "format": "int64",
            "example": 5
          },
          "inherentRiskScore": {
            "description": "Risk score before any controls are applied",
            "type": "number",
            "format": "decimal",
            "example": 7.2
          },
          "targetRiskScore": {
            "description": "Target risk score to achieve",
            "type": "number",
            "format": "decimal",
            "example": 2
          },
          "lastUpdated": {
            "description": "Date and time when the assessment was last updated",
            "type": "string",
            "format": "date-time",
            "example": "2025-07-23T15:30:45Z"
          }
        }
      },
      "PrivacyAutomation-AssessmentAutomation_PageAssessmentListViewBasicDto": {
        "type": "object",
        "properties": {
          "content": {
            "$ref": "#/components/schemas/PrivacyAutomation-AssessmentAutomation_AssessmentListViewBasicDto",
            "description": "The assessment data content"
          },
          "page": {
            "description": "Pagination information for the response",
            "$ref": "#/components/schemas/PrivacyAutomation-AssessmentAutomation_AssessmentPage"
          }
        }
      },
      "PrivacyAutomation-AssessmentAutomation_primaryInventoryDetails": {
        "type": "object",
        "properties": {
          "primaryInventoryName": {
            "description": "Name of the primary inventory record",
            "type": "string",
            "example": "Server Infrastructure"
          },
          "primaryInventoryId": {
            "description": "Unique identifier for the primary inventory record",
            "type": "string",
            "format": "uuid",
            "example": "123e4567-e89b-12d3-a456-426614174000"
          },
          "primaryInventoryNumber": {
            "description": "Sequential number assigned to the primary inventory record",
            "type": "integer",
            "format": "int64",
            "example": 10042
          }
        }
      }
    },
    "securitySchemes": {
      "PrivacyAutomation-AssessmentAutomation_OAUTH2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "ASSESSMENT": "Access to assessment scope for external systems",
              "ASSESSMENT_READ": "Access to read assessment scope for external systems"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0"
  }
}
```

# Sibling pages

* [Get List of Assessment Tags](https://developer.onetrust.com/onetrust/reference/gettagsusingget.md)
* [Export Deleted Assessment Audit Log](https://developer.onetrust.com/onetrust/reference/getassessmentdeletelogsusingget.md)
* [Get List of Assessment Results](https://developer.onetrust.com/onetrust/reference/getassessmentresultsusingget.md)
* [Get List of Linked Assessments](https://developer.onetrust.com/onetrust/reference/getlinkedassessmentsinformationusingget.md)
* [Get Assessment](https://developer.onetrust.com/onetrust/reference/exportassessmentusingget.md)
* [Get Assessment Workflow Stages](https://developer.onetrust.com/onetrust/reference/getworkflowdetailsforassessmentusingget.md)
* [Get List of Assessments by Criteria](https://developer.onetrust.com/onetrust/reference/getassessmentsusingpost.md)
* [Get Assessment Record](https://developer.onetrust.com/onetrust/reference/getassessmentrecordusingget.md)
* [Get Assessment Score Profiles](https://developer.onetrust.com/onetrust/reference/getassessmentscoreprofileswithquestionbreakdownusingget.md)
* [Get Assessment Comments](https://developer.onetrust.com/onetrust/reference/getcommentsforassessmentusingget.md)
* [Create Assessment Comment](https://developer.onetrust.com/onetrust/reference/createcommentusingpost.md)